Antiprism 0.23

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# color_map_range_rand_hsv Class Reference

A colour map using random values in an HSVA range. More...

`#include <col_map.h>`

Inheritance diagram for color_map_range_rand_hsv:
[legend]
Collaboration diagram for color_map_range_rand_hsv:
[legend]

List of all members.

## Public Member Functions
| color_map_range_rand_hsv (const char *name="", char *errmsg=0)
| Initialise from a string.
virtual bool | init (const char *name, char *errmsg=0)
| Initialise from a string.
color_map * | clone () const
| Get a copy of the map.

## Detailed Description

A colour map using random values in an HSVA range.

## Constructor & Destructor Documentation

color_map_range_rand_hsv::color_map_range_rand_hsv | ( | const char * | name = `""`,
|  | char * | errmsg = `0`
| ) |  | `[inline]`

Initialise from a string.

Parameters:

  name | the map name.
  errmsg | an array at least `MSG_SZ` chars long to return any error message.

## Member Function Documentation

color_map* color_map_range_rand_hsv::clone | ( |  | ) | const`[inline, virtual]`

Get a copy of the map.

Returns:
  a pointer to the dynamically allocated copy, which must be freed by the caller with `delete`, 0 indicates that the clone failed.

Reimplemented from color_map_range_rand.

bool color_map_range_rand_hsv::init | ( | const char * | name,
|  | char * | errmsg = `0`
| ) |  | `[virtual]`

Initialise from a string.

Parameters:

  name | the map name.
  errmsg | an array at least `MSG_SZ` chars long to return any error message.

Returns:
  true if the file could be read, otherwise false and the error is detailed in errmsg.

Reimplemented from color_map_range.

The documentation for this class was generated from the following files:

- base/col_map.h
- base/col_map.cc